Get skill by ID
curl --request GET \
--url https://flowra.dev/api/v1/skills/detail/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/skills/detail/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/skills/detail/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "",
"slug": "",
"name": "",
"description": "",
"instructions": "",
"category": "",
"tags": [
""
],
"source": "custom",
"registryMeta": {},
"presets": {},
"isPublic": true,
"version": "",
"activeStatus": true,
"files": [
{
"path": "",
"sizeBytes": 0,
"contentType": ""
}
],
"packageFileCount": 0,
"sourceUrl": "",
"skillsShUrl": "",
"isCreator": true,
"installCount": 0,
"changed": true
}
}Skills
Get skill by ID
Returns one skill from My Skills if the caller can access it.
GET
/
api
/
v1
/
skills
/
detail
/
{id}
Get skill by ID
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Path Parameters
Skill ID
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Response
200 - application/json
Operation completed successfully
Success status
Example:
true
Success message
Example:
"Operation completed successfully"
Show child attributes
Show child attributes
Example:
{
"id": "",
"slug": "",
"name": "",
"description": "",
"instructions": "",
"category": "",
"tags": [""],
"source": "custom",
"registryMeta": {},
"presets": {},
"isPublic": true,
"version": "",
"activeStatus": true,
"files": [
{
"path": "",
"sizeBytes": 0,
"contentType": ""
}
],
"packageFileCount": 0,
"sourceUrl": "",
"skillsShUrl": "",
"isCreator": true,
"installCount": 0,
"changed": true
}
Was this page helpful?